package com.cpp.web.controller.configManager;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpp.common.core.domain.R;
import com.cpp.web.domain.datafactory.ParsingRp;
import com.cpp.web.service.datafactory.ParsingRpService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingRp")
public class ParsingRpController {
    @Autowired
    ParsingRpService parsingRpService;

    @ApiOperation(value = "添加实际功率配置", notes = "添加实际功率配置")
    @PostMapping()
    public R add(@RequestBody ParsingRp parsingRp) {
        if (parsingRpService.save(parsingRp)) {
            return R.ok("添加成功！");
        } else {
            return R.fail("添加失败！");
        }
    }

    @ApiOperation(value = "修改实际功率配置", notes = "修改实际功率配置")
    @PutMapping()
    public R update(@RequestBody ParsingRp parsingRp) {
        if (parsingRpService.updateById(parsingRp)) {
            return R.ok("修改成功！");
        } else {
            return R.fail("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除实际功率配置", notes = "根据id删除实际功率配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingRpService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.fail("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询实际功率配置", notes = "分页查询实际功率配置")
    @GetMapping("/page")
    public R page(Long currentPage,Long pageSize) {
        Page page = new Page(currentPage, pageSize);
        page.setMaxLimit((long) -1);
        return R.ok(parsingRpService.page(page));
    }
}
